*, *::before, *::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Lexend Deca', sans-serif;
    border: none;
    margin: 0 auto;
    max-width: 1280px;
    background-color: black;
}

.section {
    height: 1px;
    display: inline-flex; 
    width: 100%;
    z-index: 10;
    margin:0;
    border: none;
    text-align: center;
    background: black;
}

#check, label, .category .aem-small{
    display: none;
    position: absolute;
}
.aem-big{
    display: none;
    position: absolute;
}
.logo{
    margin: 0;
    padding: 0;
    margin-top: 12px;
    margin-left: 30px;
    background: black;
}

/*edit on category box as a whole*/
.category {
    padding: 15px 10px; 
    margin-left: 20px;
    width: 100%;
}

/*edit on each specific boxes category unordered list form*/
ul {
    color: white;
    list-style: none;
    display: inline-block;
    width: 100%;
}
.category .service-cat{
    display: none;
    position: absolute;
}
.category .product-list img{
    display: none;
}
/*To put the catogery in the center - vertically [padding-top]
Extended the each catogery border [width]*/
.list1, .product-list{
    background-color:black;
    border: 1px solid black;
    border-radius: 10px;
    position: relative;
    float: left;
    width: 165px;
    height: 40px;
    padding: 10px;
    text-transform: uppercase;
    cursor: pointer;
    z-index: 999;
}

.list1:hover, .product-list:hover{
    background-color: lightslategray;
    transition: background-color 0.2s linear;
}

/*Product *drop down menu* initiated here*/
/*to avoid overlapping of the drop menu and product box
~ put margin-top for drop menu box*/
ul.drop-menu-1 {
    margin-top:6%;
}
ul.drop-menu-2{
    display: none;
    position: absolute;
}
/*To centered the category [padding-top]*/
ul.drop-menu-1 li{
    padding-top: 9.5%;
    border: 1px solid black;
    border-radius: 5px;
    display: none;
    height: 50px;
    width: 100%;
    background-color: lightgray;
    color: black;
}

ul.drop-menu-1 li:hover{
    background-color: cyan;
    transition: background-color 0.2s ease-out;
}

/*edit on long categories[to center accordingly]*/
#pneu-category, #ind-category {
    padding-top: 3%;
}
/*give a 3D feel-no outcome displayed-affect on the drop down menu*/
li:hover>ul.drop-menu-1 {
    perspective: 1000px;
}
/*default hover*/
li:hover>ul.drop-menu-1 li{
    display: block;
    opacity: 0;
}
/*additional perk on same categories: animation*/
li:hover>ul.drop-menu-1 li:nth-child(1){
    animation: menu1 300ms ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: -100ms;
}

li:hover>ul.drop-menu-1 li:nth-child(2){
    animation: menu1 500ms ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: -50ms;
}

li:hover>ul.drop-menu-1 li:nth-child(3){
    animation: menu1 700ms ease-in-out;
    animation-fill-mode: forwards;
}

li:hover>ul.drop-menu-1 li:nth-child(4){
    animation: menu1 900ms ease-in-out;
    animation-fill-mode: forwards;
    animation-delay: 50ms;
}

@keyframes menu1{
    0%{
        opacity: 0;
        transform: rotateY(-90deg) translateY(30px);
    }
    100%{
        opacity: 1;
        transform: rotateY(0deg) translateY(0px);
    }
}

/*search box animation initiated*/
.content .search{
    margin-top: 0.2%;
    height: 37px;
    width: 250px;
    padding: 0px;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
}
.search .input{
    font-family: 'Lexend Deca', sans-serif;
    width: 75%;
    padding: 15px 10px;
    border: none;
    border-radius: 5px;
    font-weight: bold;
    color:rgb(36, 35, 35);
    font-size: 13.4px;
}

.searchbtn{
    background: black ;
    width: 20%;
    border-radius: 5px;
    position: relative;
    cursor: pointer;
}
.searchbtn img{
    position: absolute;
    transform: translate(-50%,-50%);
    font-size: 18px;
    height: 20px;
}
/*search button ends here*/
/*Design on box*/
.box ul{
    font-size: 24px;
    text-align: center;
    height: 170px;
    width: 170px;
}

.box ul li button{
    position: relative;
    height: 170px;
    width: 170px;
    border: none;
    outline: none;
    color: white;
    background: black;
    cursor: pointer;
    font-size: 18px;
    border-radius: 5px;
    margin: 2px;
}

.box ul li button:before{
    position: absolute;
    content: '';
    top: -2px;
    left: -2px;
    height: calc(100% + 4px);
    width: calc(100% + 4px);
    border-radius: 5px;
    background: linear-gradient(45deg, #fb0094,#0000ff,#00ff00,#ffff00,#ff0000,#fb0094,#0000ff,#00ff00,#ffff00,#ff0000,#fb0094,#0000ff,#00ff00);
    background-size: 400%;
    z-index: -1;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    animation: animate 20s linear infinite;
}

.box ul li button:hover:before{
    opacity: 1;
}

.box ul li button:hover:active{
    background: black;
}
@keyframes animate{
    0%{
        background-position: 0 0;
    }
    50%{
        background-position: 400% 0;
    }
    100%{
        background-position: 0 0;
    }
}

/*Sub-category animation*/
/*design on coat (side slide menu)*/
.coat{
    display: flex;
}

.coat ul, .coat ul li{
    margin: 0;
}
.coat ul li{
    height: 45px;
}
.coat ul li a{
    padding: 10px 10px 10px 10px;
    border-radius: 2px;
    height: 38px;
    width: 100%;
    font-size: 12px;
    position: relative;
    display: inline-block;
    color: 6fdafa;
    text-transform: uppercase;
    text-decoration: none;
    overflow: hidden;
    transition: 0.1s;
}

.coat ul li a:hover{
    color: #29748b;
    background: #6fdafa;
    box-shadow: 0 0 10px #6fdafa, 0 0 40px #6fdafa, 0 0 80px #6fdafa;
    transition-delay: 0.3s;
}

.coat ul li a span{
    position: absolute;
    display: block;
}

.coat ul li a span:nth-child(1){
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,#6fdafa);
}

.coat ul li a:hover span:nth-child(1){
    left: 100%;
    transition: 0.5s;
}
.coat ul li a span:nth-child(3){
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg,transparent,#6fdafa);
}

.coat ul li a:hover span:nth-child(3){
    right: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.coat ul li a span:nth-child(2){
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,#6fdafa);
}

.coat ul li a:hover span:nth-child(2){
    top: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.coat ul li a span:nth-child(4){
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,#6fdafa);
}

.coat ul li a:hover span:nth-child(4){
    bottom: 100%;
    transition: 0.5s;
    transition-delay: 0.6s;
}
/*end(coat)*/
/*design on non-woven slide side menu*/
.non-woven{
    display: flex;
}

.non-woven ul, .non-woven ul li{
    margin: 0;
}
.non-woven ul {
    width: 400px;
}
.non-woven ul li{
    height: 36.5px;
    margin:0;
    text-align: center;
}

.non-woven ul li a{
    padding: 5px 10px;
    border-radius: 1px;
    width: 100%;
    font-size: 12px;
    position: relative;
    display: inline-block;
    color: #e0ec70;
    text-transform: uppercase;
    text-decoration: none;
    overflow: hidden;
    transition: 0.1s;
}

.non-woven li a:hover{
    color: #888739;
    background: #e0ec70;
    box-shadow: 0 0 10px #e0ec70, 0 0 40px #e0ec70, 0 0 80px #e0ec70;
    transition-delay: 0.3s;
}

.non-woven li a span{
    position: absolute;
    display: block;
}

.non-woven li a span:nth-child(1){
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,#e0ec70);
}

.non-woven li a:hover span:nth-child(1){
    left: 100%;
    transition: 0.5s;
}
.non-woven li a span:nth-child(3){
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg,transparent,#e0ec70);
}

.non-woven li a:hover span:nth-child(3){
    right: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.non-woven li a span:nth-child(2){
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,#e0ec70);
}

.non-woven ul li a:hover span:nth-child(2){
    top: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.non-woven ul li a span:nth-child(4){
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,#e0ec70);
}

.non-woven ul li a:hover span:nth-child(4){
    bottom: 100%;
    transition: 0.5s;
    transition-delay: 0.6s;
}
/*end-non-woven*/
/*design on others*/
.others{
    display: flex;
}

.others ul, .others ul li{
    margin: 0;
}
.others ul {
    width: 240px;
}
.others ul li{
    height: 35px;
    margin:0;
    text-align: center;
}
.coat ul, .non-woven ul, .others ul {
    text-align: center;
    height: 175px;
    background: black;
    transition: margin-left ease-in-out 150ms;
    position: absolute;
    opacity: 0;
    visibility: hidden;
    margin-left: 0px;
    z-index: 999;
}
.box ul li:hover > ul{
    display: block;
    opacity: 1;
    visibility: visible;
    margin-left: 170px;
}

.others ul li a{
    padding:10px;
    border-radius: 1px;
    width: 100%;
    font-size: 12px;
    position: relative;
    display: inline-block;
    color: #1fffa9;
    text-transform: uppercase;
    text-decoration: none;
    overflow: hidden;
    transition: 0.1s;
}

.others li a:hover{
    color: #237e50;
    background: #1fffa9;
    box-shadow: 0 0 10px #1fffa9, 0 0 40px #1fffa9, 0 0 80px #1fffa9;
    transition-delay: 0.3s;
}

.others li a span{
    position: absolute;
    display: block;
}

.others li a span:nth-child(1){
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,#1fffa9);
}

.others li a:hover span:nth-child(1){
    left: 100%;
    transition: 0.5s;
}
.others li a span:nth-child(3){
    bottom: 0;
    right: 100%;
    width: 100%;
    height:- 2px;
    background: linear-gradient(270deg,transparent,#1fffa9);
}

.others li a:hover span:nth-child(3){
    right: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.others li a span:nth-child(2){
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,#1fffa9);
}

.others ul li a:hover span:nth-child(2){
    top: 100%;
    transition: 0.5s;
    transition-delay: 0.2s;
}
.others ul li a span:nth-child(4){
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,#1fffa9);
}

.others ul li a:hover span:nth-child(4){
    bottom: 100%;
    transition: 0.5s;
    transition-delay: 0.6s;
}
section.abra-pg{
    margin-top: 5%;
    display: flex;
}
.box-1{
    color: white;
    margin-top: 1%;
    margin-left: 3%;
}
.box-1 p{
    margin-top: 1%;
    font-size: 14px;
}
.box-1 .app-1{
    height: 100px;
    border-radius: 10px;
    margin: 3px 10px;
    text-align: center;
}
.box-1 h2{
    margin-top: 2%;
    font-size: 18px;
    margin-left: 39%;
    margin-bottom: 1%;
}
.box-1 ul{
    text-align: center;
    margin-left: -4%;
    font-size: 14px;
}
.box-1 .grain{
    height: 190px;
    border-radius: 10px;
    margin: 3px 10px;
}
#abra-title{
    margin-left: 38%;
}
#grain-1{
    margin-left: 30px;
}
.box-2 img{
    margin-top: 5%;
    margin-left: -5%;
}

/*responsive web according to screen resolution*/
@media screen and (max-width: 1210px) {
    body{
        overflow: scroll;
        margin: 0 auto;
    }
    .aem-big{
        margin: 20px auto;
        display: block;
        position: relative;
    }
    .aem-big img{
        width: 700px;
    }
    .banner{
        display: none;
    }
    .logo{
        position: absolute;
    }
    #pic-logo{
        display: none;
    }
    label, .category .aem-small{
        display: block;
        position: absolute;
    }
    label #bar-btn, label #cancel{
        height: 80px;
        position: absolute;
        cursor: pointer;
        border-radius: 3px;
    }
    label #cancel{
        background: white;
    }
    label #bar-btn{
        background:red;
        border-radius: 10px;
        z-index: 1;
        left: 35px;
        top: 50px;
        padding: 6px 12px;
        position: fixed;
        transition: all 0.5s;
    }
    label #cancel{
        border-radius: 10px;
        z-index: 1111;
        left: -250px;
        top: 40px;
        padding: 15px 10px;
        position: fixed;
        opacity: 0;
        transition: all 0.5s ease;
    }

    #check{
        display: none;
    }
    #check:checked ~.category{
        left: 0;
    }
    #check:checked ~label #bar-btn{
        left: 250px;
        opacity: 0;
        pointer-events: none;
    }
    #check:checked ~label #cancel{
        opacity: 1;
        left: 85%;
    }
    .category .aem-small{
        margin-top: 50px;
        margin-left: 95px;
    }
    .category .aem-small img{
        width: 510px;
        border-radius: 10%;
    }
    .section{
        text-align: unset;
    }
    .section .category{
        overflow-y: auto;
        overflow-x: hidden;
        left: -1280px;
        position: fixed;
        background-color: rgb(2, 2, 49);
        margin: 0;
        height: 100vh;
        padding: 0;
        transition: all 0.5s ease;
        z-index: 1;
    }
    .category ul{
        position: relative;
        flex-direction: column;
        padding: 0;
        margin: 0;
        transition: 0.3s;
        transition-property: width;
    }
    .section .collapse .category{
        width: 0px;
    }
    
    .category .service-cat{
        display: block;
        position: relative;
    }
    .list1,.product-list{
        background-color: rgb(2, 2, 49);
        border-radius: 0%;
        font-size: 35px;
        width:100%;
        height: auto;
        padding: 30px 0px;
        padding-left: 100px;
        border-top: 2px solid rgba(200, 215, 255, 0.1);
        position: relative;
    }
    .category .service-cat img, .category .product-list img{
        border-radius: 50%;
        padding: 10px;
        background-color: white;
        height:41px;
        margin-left: 408px;
    }
    .category .service-cat img{
        margin-left: 424px;
    }
    .category .product-list img{
        position: relative;
        display: inline-block;
    }
    .category .product-list .plus{
        background-color: black;
        margin-left: 210px;
    }
    #fa-1{
        margin-left: 112px;
    }
    #fa-2{
        margin-left: 236px;
    }
    #fa-3{
        margin-left: 149px;
    }
    #fa-4{
        margin-left: 222px;
    }
    #fa-5{
        margin-left: 484px !important;
    }
    #drop-2, #sub-drop, #drop-3{
        position: relative !important;
        left: 0;
        top: 0;
        display: none;
    }
    #sub-drop{
        padding: 0px;
        margin-top: 30px;
        display: none;
    }
    #sub-drop li{
        height: auto;
        color: rgb(13, 19, 46) !important;
    }
    #drop-2, #drop-3{
        padding-top: 30px;
        padding-bottom: 0px;
        bottom: 0;
    }
    #drop-2 li, #drop-3 li{
        font-weight: bold;
        color: black;
        margin: 0;
        height: auto;
        padding: 30px 0px;
        margin-left: -100px;
        padding-left: 100px;
        transition: padding-left 0.5s ease-in-out;
    }
    #sub-drop{
        padding: 0px;
        margin-top: 30px;
        display: none;
        color: red !important;
    }
    #drop-2 li:hover, #drop-3 li:hover{
        color: rgb(56, 54, 54);
        padding-left: 120px;
    }
    .product-list:hover #drop-2{
        display: block;
    }
    .service-cat:hover #drop-3{
        display: block;
    }
    #coat:hover #sub-drop, #non-woven:hover #sub-drop, #other-abra:hover #sub-drop, #pneu-tool:hover #sub-drop,
    #ind-item:hover #sub-drop{
        display: block;
    }
    #sub-drop li:hover{
        color: rgb(13, 60, 107) !important;
    }
    .category .home-cat{
        margin-top: 270px !important;
    }
    #search-area{
        position: absolute;
    }
    #drop-1 {
        display: none;
        position: absolute;
    }
    
    .content .search{
        margin-left: 100px;
        margin-top: 175px;
        height: 70px;
        width: 550px;
    }
    .search .input{
        width: 82%;
        font-size: 35px;
    }
    .searchbtn {
        width: 15%;
    }
    .searchbtn img{
        height: 45px;
    }
    .box{
        display: none;
    }
    .box-1{
        margin-left: 0px;
        padding: 0px 12px;
        margin-top: 180px;
        margin-bottom: 100px;
    }
    .box-1 h1{
        font-size: 45px;
    }
    .box-1 p, .box-1 ul{
        font-size: 42px;
    }
    .box-1 ul{
        padding-left: 50px;
        text-align: unset;
    }
    .box-1 ul li{
        margin-top: 10px;
    }
    .box-1 h2{
        font-size: 43px;
        margin-left: 348px;
    }
    #abra-title{
        margin-left: 330px;
    }
    .box-1 .app-1{
        height: 158px;
    }
    .box-1 .grain{
        height: 320px;
    }
    .box-2{
        width: 500px;
        padding-left: 150px;
        position: absolute;
        margin-top: 1310px;
    }
    .box-2 img{
        height: 1000px !important;
    }

    
}
@media screen and (min-width: 1679px){

    .box-1 ul, .box-1 p{
        font-size: 17px;
    }
    .box-1 h2{
        font-size: 20px;
    }
    .box-2 img{
        margin-left: 0%;
    }
    
}
